> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Operators

> Fetch all gift card operators available in a specific country



## OpenAPI

````yaml api-reference/vaas-services-openapi.json GET /vaas/api/v1/gift-cards/countries/{country_code}/operators
openapi: 3.1.0
info:
  title: PayVessel Value-Added Services API
  description: >-
    API reference for PayVessel biller reseller, eSIM, gift card, and flight
    services.
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - apiKey: []
    apiSecret: []
paths:
  /vaas/api/v1/gift-cards/countries/{country_code}/operators:
    get:
      tags:
        - Gift Cards
        - Gift Cards
      summary: List Gift Card Operators by Country
      description: >-
        Fetch all gift card operators available in a specific country using its
        ISO 3166-1 alpha-2 code
      operationId: >-
        list_operators_vaas_api_v1_gift_cards_countries__country_code__operators_get
      parameters:
        - name: country_code
          in: path
          required: true
          schema:
            type: string
            maxLength: 10
            title: Country Code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListOperatorsResponseSchema'
        '404':
          description: No operators found for country
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Error message
                  data:
                    type: object
                    nullable: true
                  timestamp:
                    type: string
                    format: date-time
                    example: '2026-06-25T12:00:00+00:00'
                type: object
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '424':
          description: Unable to reach upstream service
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Error message
                  data:
                    type: object
                    nullable: true
                  timestamp:
                    type: string
                    format: date-time
                    example: '2026-06-25T12:00:00+00:00'
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Error message
                  data:
                    type: object
                    nullable: true
                  timestamp:
                    type: string
                    format: date-time
                    example: '2026-06-25T12:00:00+00:00'
                type: object
components:
  schemas:
    ListOperatorsResponseSchema:
      properties:
        status:
          type: boolean
          title: Status
        message:
          type: string
          title: Message
        data:
          items:
            $ref: '#/components/schemas/OperatorSchema'
          type: array
          title: Data
      type: object
      required:
        - status
        - message
        - data
      title: ListOperatorsResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OperatorSchema:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        brand_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand Id
        operator_type:
          anyOf:
            - $ref: '#/components/schemas/OperatorTypeSchema'
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
      type: object
      required:
        - id
        - name
      title: OperatorSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OperatorTypeSchema:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: OperatorTypeSchema
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key
      description: Your PayVessel business API key.
    apiSecret:
      type: apiKey
      in: header
      name: api-secret
      description: Your PayVessel business API secret.

````